# coding: utf-8

"""
    Nucleus API

    BETA version of the nucleus text analytics API. Example and documentation: https://github.com/SumUpAnalytics/nucleus-sdk  # noqa: E501

    OpenAPI spec version: v0.1.7
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


import pprint
import re  # noqa: F401

import six


class JobRespModel(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """

    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'job_id': 'str',
        'progress': 'str',
        'result': 'str',
        'error': 'str',
        'last_update': 'int'
    }

    attribute_map = {
        'job_id': 'job_id',
        'progress': 'progress',
        'result': 'result',
        'error': 'error',
        'last_update': 'last_update'
    }

    def __init__(self, job_id=None, progress=None, result=None, error=None, last_update=None):  # noqa: E501
        """JobRespModel - a model defined in Swagger"""  # noqa: E501

        self._job_id = None
        self._progress = None
        self._result = None
        self._error = None
        self._last_update = None
        self.discriminator = None

        if job_id is not None:
            self.job_id = job_id
        if progress is not None:
            self.progress = progress
        if result is not None:
            self.result = result
        if error is not None:
            self.error = error
        if last_update is not None:
            self.last_update = last_update

    @property
    def job_id(self):
        """Gets the job_id of this JobRespModel.  # noqa: E501

        If the job is taking too long, job_id is returned, GET /jobs can then be used to poll for results  # noqa: E501

        :return: The job_id of this JobRespModel.  # noqa: E501
        :rtype: str
        """
        return self._job_id

    @job_id.setter
    def job_id(self, job_id):
        """Sets the job_id of this JobRespModel.

        If the job is taking too long, job_id is returned, GET /jobs can then be used to poll for results  # noqa: E501

        :param job_id: The job_id of this JobRespModel.  # noqa: E501
        :type: str
        """

        self._job_id = job_id

    @property
    def progress(self):
        """Gets the progress of this JobRespModel.  # noqa: E501

        JSON encoded progress of the job.  # noqa: E501

        :return: The progress of this JobRespModel.  # noqa: E501
        :rtype: str
        """
        return self._progress

    @progress.setter
    def progress(self, progress):
        """Sets the progress of this JobRespModel.

        JSON encoded progress of the job.  # noqa: E501

        :param progress: The progress of this JobRespModel.  # noqa: E501
        :type: str
        """

        self._progress = progress

    @property
    def result(self):
        """Gets the result of this JobRespModel.  # noqa: E501

        JSON encoded result of the job.  # noqa: E501

        :return: The result of this JobRespModel.  # noqa: E501
        :rtype: str
        """
        return self._result

    @result.setter
    def result(self, result):
        """Sets the result of this JobRespModel.

        JSON encoded result of the job.  # noqa: E501

        :param result: The result of this JobRespModel.  # noqa: E501
        :type: str
        """

        self._result = result

    @property
    def error(self):
        """Gets the error of this JobRespModel.  # noqa: E501

        error messages  # noqa: E501

        :return: The error of this JobRespModel.  # noqa: E501
        :rtype: str
        """
        return self._error

    @error.setter
    def error(self, error):
        """Sets the error of this JobRespModel.

        error messages  # noqa: E501

        :param error: The error of this JobRespModel.  # noqa: E501
        :type: str
        """

        self._error = error

    @property
    def last_update(self):
        """Gets the last_update of this JobRespModel.  # noqa: E501

        Last time the job progress was updated (UNIX seconds from 1970)  # noqa: E501

        :return: The last_update of this JobRespModel.  # noqa: E501
        :rtype: int
        """
        return self._last_update

    @last_update.setter
    def last_update(self, last_update):
        """Sets the last_update of this JobRespModel.

        Last time the job progress was updated (UNIX seconds from 1970)  # noqa: E501

        :param last_update: The last_update of this JobRespModel.  # noqa: E501
        :type: int
        """

        self._last_update = last_update

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(JobRespModel, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, JobRespModel):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
